Handle WCF Configuration
curl --request POST \
--url https://app.onefirewall.com/api/v1/feedback/config \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"maximum_rules": "<string>",
"running": "<string>",
"score_threshold": "<string>",
"sync_time": "<string>",
"version": "<string>"
}
'import requests
url = "https://app.onefirewall.com/api/v1/feedback/config"
payload = {
"maximum_rules": "<string>",
"running": "<string>",
"score_threshold": "<string>",
"sync_time": "<string>",
"version": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
maximum_rules: '<string>',
running: '<string>',
score_threshold: '<string>',
sync_time: '<string>',
version: '<string>'
})
};
fetch('https://app.onefirewall.com/api/v1/feedback/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
WCF Agent API
Handle WCF Configuration
End-point to submit changes to the WCF Agent, the configuration set it here, will be saved into the DB and will be retreived from the WCF Installed agent, next time is synced
POST
/
feedback
/
config
Handle WCF Configuration
Authorizations
Authorization Token
Query Parameters
WCF Agent ID (you can get it from the installation config.json file, is the ID string)
Body
application/json
Configuration details
Response
200
OK
⌘I

